import psycopg2
import json
import os

ip_device = os.getenv("ip_device")
db_server = json.loads(os.getenv("dist_servs"))[ip_device]

f_path = os.path.join(os.getcwd(), "json_files/coordenas_unicas.json")

# cargar coordenadas a la memoria de la computadora
# json_file_path = ".\json_files\coordenas_unicas.json"
with open(f_path, 'r', encoding='utf-8-sig') as f:
    json_content = json.load(f)

# crear la conexión a la base de datos
conn = psycopg2.connect(
    host=db_server,
    port=5432,
    database="coordenadas_mx",
    user="postgres",
    password="Shala55951254"
    )

cursor = conn.cursor()

cursor.execute("DROP TABLE IF EXISTS coordenadas_mexico;")

# crear la tabla en la base e datos
create_table_query = """
CREATE TABLE coordenadas_mexico (
id SERIAL PRIMARY KEY,
json_data JSONB
);"""

cursor.execute(create_table_query)

# Insertar el contenido JSON en la tabla
insert_query = "INSERT INTO coordenadas_mexico (json_data) VALUES (%s);"
cursor.execute(insert_query, (json.dumps(json_content),))

# guardar cambios
conn.commit()

# Cerrar la conexión
cursor.close()
conn.close()

print("se han cargado las coordenadas.")
